version: '3.5'

services:
  postgres:
    image: postgres
    
    ports:
      - 5434:5432
    env_file:
      - ./postgres.env
    networks:
      - ujse
    volumes:
      - app:/var/lib/postgresql/data
      
    extra_hosts:
      - "across.digital.tecnalia.dev:172.26.41.211"

  ujse:
    image: 094360380/wp4-user-journey-service-delivery:latest
    build:
      context: .
      args:
        BUILDKIT_INLINE_CACHE: 1 # For multistage docker
      cache_from:
        - 094360380/wp4-user-journey-service-delivery:latest
    container_name: 'ujse-container'
    ports:
      - 8089:8080
      - 443:443
    env_file:
      - ./ujse.env
    networks:
      - ujse
    depends_on:
      - postgres

    extra_hosts:
      - "across.digital.tecnalia.dev:172.26.41.211"

networks:
  ujse:
 
volumes:
  app: {}
  
